List functions
List functions for the authenticated organization. Each function includes its persisted function-scoped bindings. Actor bindings expose actor_type and env_name, allowing clients to identify every function attached to a Stateful Actor type.
GET
/
compute
/
funcs
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.compute.funcs.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.compute.funcs.list()
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
funcs, err := client.Compute.Funcs.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", funcs.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.compute().funcs().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.compute.funcs.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->compute->funcs->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx compute:funcs list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/compute/funcs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "compute_func",
"id": "<string>",
"name": "<string>",
"status": "<string>",
"status_detail": "<string>",
"invoke_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"bindings": [
{
"record_type": "compute_binding",
"binding_id": "<string>",
"binding_type": "actor",
"env_name": "COUNTER",
"status": "<string>",
"actor_type": "Counter",
"secret_name": "<string>",
"sqldb_id": "<string>",
"kv_id": "<string>",
"bucket_id": "<string>",
"func_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"message": "Function deployed successfully"
}
],
"meta": {
"page_number": 1,
"page_size": 20,
"total_pages": 3,
"total_results": 52
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number
Required range:
x >= 1Page size (maximum 250)
Required range:
1 <= x <= 250Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.compute.funcs.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.compute.funcs.list()
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
funcs, err := client.Compute.Funcs.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", funcs.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.compute().funcs().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.compute.funcs.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->compute->funcs->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx compute:funcs list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/compute/funcs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "compute_func",
"id": "<string>",
"name": "<string>",
"status": "<string>",
"status_detail": "<string>",
"invoke_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"bindings": [
{
"record_type": "compute_binding",
"binding_id": "<string>",
"binding_type": "actor",
"env_name": "COUNTER",
"status": "<string>",
"actor_type": "Counter",
"secret_name": "<string>",
"sqldb_id": "<string>",
"kv_id": "<string>",
"bucket_id": "<string>",
"func_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"message": "Function deployed successfully"
}
],
"meta": {
"page_number": 1,
"page_size": 20,
"total_pages": 3,
"total_results": 52
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}